/****************************************************************************
** Form interface generated from reading ui file 'tmcform.ui'
**
** Created: Mon Apr 19 15:25:03 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.1   edited Nov 21 17:40 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef TMCFORM_H
#define TMCFORM_H

#include <qvariant.h>
#include <qdialog.h>
#include <qapplication.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QComboBox;
class QDateEdit;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;
class QSpinBox;
class QTimeEdit;

class TMCForm : public QDialog
{
    Q_OBJECT

public:
    TMCForm( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~TMCForm();

    QGroupBox* DataIntervalgroupBox;
    QLabel* byearLabel;
    QLabel* StartTimeLabel;
    QLabel* btimeLabel;
    QDateEdit* StartdateEdit;
//    QPushButton* CopyTimepushButton;
    QDateEdit* EnddateEdit;
    QTimeEdit* etimeEdit;
    QLabel* etimeLabel;
    QTimeEdit* btimeEdit;
    QLabel* edoyLabel;
    QLabel* bdoyLabel;
    QLabel* textLabel1_2;
    QLabel* textLabel1_2_2;
    QLabel* eyearLabel;
    QSpinBox* eDoyspinBox;
    QSpinBox* bDoyspinBox;
    QSpinBox* bYearspinBox;
    QSpinBox* eYearspinBox;
    QLabel* EndTimetextLabel;
    QGroupBox* ParamsgroupBox;
    QLabel* LowertextLabel;
    QSpinBox* LowerspinBox;
    QLabel* OffsettextLabel2;
    QLineEdit* PhiOffsetlineEdit;
    QLineEdit* SCpotnlLineEdit;
    QCheckBox* checkBox1;
    QCheckBox* checkBox2;
    QCheckBox* clobberBox;
    QSpinBox* ResspinBox;
    QLabel* SCtextLabel;
    QLabel* VoltstextLabel2;
    QLabel* RestextLabel;
    QSpinBox* UpperspinBox;
    QComboBox* outputcomboBox;
    QLabel* OutputtextLabel;
    QLabel* UppertextLabel;
    QSpinBox* SCspinBox;
    QPushButton* QuitpushButton;
    QPushButton* SolvepushButton;
    QPushButton* HelppushButton;
    QGroupBox* groupBox5;
    QRadioButton* LradioButton1;
    QRadioButton* BradioButton;
    QRadioButton* HradioButton2;
    QRadioButton* TradioButton4;
    QGroupBox* Calibration;
    QPushButton* DestpushButton;
    QPushButton* DestpushButton2;
    QLabel* textLabel1;
    QLineEdit* CalibrationfileslineEdit;
    QLineEdit* DestlineEdit;
    QLabel* textLabel1_3;
    QPushButton* CopyTimepushButton;

    virtual bool GetB();
    virtual bool GetL();
    virtual bool GetH();
    virtual bool GetT();
    virtual int GetSYear();
    virtual int GetSDoy();
    virtual int GetSTimeHour();
    virtual int GetSTimeMin();
    virtual int GetSTimeSec();
    virtual int GetEYear();
    virtual int GetEDoy();
    virtual int GetETimeHour();
    virtual int GetETimeMin();
    virtual int GetETimeSec();
    virtual double GetPotentialOffset();
    virtual int GetSpaceCraft();
    virtual int GetLowerGuess();
    virtual int GetUpperGuess();
    virtual int GetGuessRes();
    virtual int GetOutputFormat();
    virtual char * GetLCalName();
    virtual char * GetHCalName();
    virtual double GetSCPotential();
    virtual bool ForcePotential();

public slots:
    virtual void Solve();
    virtual void Help();
    virtual void SetLcal( const char * name );
    virtual void SetDest( const char * dest );
    virtual void StartDateChange();
    virtual void EndDateChange();
    virtual void StartYearChange();
    virtual void EndYearChange();
    virtual void StartDoyChange();
    virtual void EndDoyChange();
    virtual void Destination();
    virtual void Destination2();
    virtual void closeEvent( QCloseEvent * );
    virtual void tmcExit();
    virtual void CopyTime();

protected:

protected slots:
    virtual void languageChange();
};

#endif // TMCFORM_H
