#ifndef WRITE_DATA_FILES_H
#define WRITE_DATA_FILES_H

//#ifdef __cplusplus
//extern "C"{
//#endif

#include <iostream.h>
#include <fstream.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <string>
const char * qftfilename(int spacecraft, int by, int bd, int bh, int bm, int ey, int ed, int eh, int em, bool B, bool L, bool H, bool T);
void write_cef_header(ofstream &out, const char * name, int records, int SC, bool B, bool L, bool H, bool T);
void append_cef_record(ofstream &out, const char * time, double *vx, 
		       double *vy, 
		       double *vz, 
			double *vT, 
			double *Density_n0, 
			double *T0, 
			double *T_para, 
			double *T_perp, 
			double *T_est, 
			double *N_est, 
			double *V_est, 
			double *Ie, 
			int *SolverRetValue, 
			double *p_off_on, 
			double *p_perp_ratio,
      double *phi_sc);	


const char * filename(int spacecraft, int by, int bd, int bh, int bm, int ey, int ed, int eh, int em, bool B, bool L, bool H, bool T);	

void append_qft_record(ofstream &out, 
		       const char * time, 
		        double *vx, 
		        double *vy, 
		        double *vz, 
		        double *vT,
		        double *Density_n0, 
			double *T0, 
			double *T_para, 
			double *T_perp, 
			double *T_est, 
			double *N_est, 
			double *V_est, 
			double *Ie, 
			int *SolverRetValue, 
			double *p_off_on, 
			double *p_perp_ratio,
      double *phi_sc);
			
			const char * logfilename(int spacecraft, int by, int bd, int bh, int bm, int ey, int ed, int eh, int em, bool B, bool L, bool H, bool T);		
//#ifdef __cplusplus
//}
//#endif

#endif
