// 
//  xrefs.h
//  Header file with cross reference name definitions
//
//  Janet Barnes
//  Mar 2000
//

#ifndef XREFS_H
#define XREFS_H

namespace QSAS{

#define DEPEND_0 "DEPEND_0"
#define DEPEND_1 "DEPEND_1"
#define TIME_TAGS "Time_tags"
#define GLOBALS "Global_Attributes"
#define FIELDNAM "FIELDNAM"
#define UNITS "UNITS"
#define LABLAXIS "LABLAXIS"
#define SCALEMIN "SCALEMIN"
#define SCALEMAX "SCALEMAX"
#define VALIDMIN "VALIDMIN"
#define VALIDMAX "VALIDMAX"
#define SCALETYP "SCALETYP"
#define FRAME "Frame"
#define SI_CONVERSION "SI_conversion"
#define PTR_VAR_NAME "Ptr_var_name"
#define OLD_ATTR_NAME "Old_attr_name"
#define DATA_SOURCE "Data_source"
#define HALF_INTERVAL "Half_interval"
#define HALF_SAMPLE_PERIOD "Half_sample_period" 
#define DATA_TYPE "Data_type"
#define GAP_TOLERANCE "Gap_Tolerance"
#define FILL_VALUE "FILLVAL"
#define INTERP_METHOD "Interp_Method"
#define BOXCAR_WIDTH "Boxcar_Width"
#define GAP_METHOD "Gap_Method"
#define PARENT_FILES "Parents"
#define OBJECT_NAME "ObjectName" 
#define PARENT_ID "_Parent_id" 
#define SC_ID "SC_id"

} // end namespace QSAS

#endif
